QGIS Application - Bug report #9475

"Recently used coordinate reference systems" listbox doesn't receive first mouse click in some
contexts

2014-02-02 09:49 AM - Lee Hachadoorian

Status: Closed

Priority: Normal

Assignee:

Category: GUI

Affected QGIS version:2.0.1 Regression?: No
Operating System: Easy fix?: No

Pull Request or Patch supplied: Resolution: duplicate
Crashes QGIS or corrupls data: Copied to github as #: 18067
Description

The Coordinate Reference System Selector has a "Recently used coordinate reference systems" listbox which can be used to assign a
CRS to a layer. When | access this box through the Layer Properties dialog, and click on a recently used CRS, it appears at the bottom of
the dialog as the Selected CRS. It also seems to work if you | use the Layer—Set CRS of Layer(s) menu item.

When | try to set CRS for the layer using fTools, the listbox does not recognize the first CRS clicked on, and nothing appears in Selected
CRS. Clicking repeatedly doesn't do anything. Clicking on a second CRS is acknowledged, and that CRS appears in Selected CRS.
Steps to reproduce:

1. Go to Vector—Data Management Tools—Define Current Projection

2. In the box next to "Use predefined spatial reference system"” hit the Choose button.

3. In the "Recently used coordinate reference systems" listbox, click on any CRS. Note that nothing happens.

4. Click on the same CRS. Note that nothing happens.

5. Click on a different CRS. Note that appears at the bottom of the dialog as the Selected CRS.

Related issues:
Related to QGIS Application - Bug report # 8298: CRS change with recently use... Closed 2013-07-14

History

#1 - 2014-02-02 10:03 AM - Giovanni Manghi
- Status changed from Open to Feedback
- Category changed from 44 to GUI

it is an "old" and very annoying bug, that should already be fixed in qgsi master. Can you try and report back? thanks

#2 - 2014-02-02 10:06 AM - Salvatore Larosa

- Operating System deleted (Linux Mint 13)

- Resolution set to duplicate

- Status changed from Feedback to Closed

- Target version set to Future Release - High Priority
- OS version deleted (2.0.1)

Duplicate of #8298
